# DestroyCloudRouter

## 1. API Description

This API is used to release a Layer 3 cloud router.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">This operation is irreversible. Once the operation is successful, the cloud router will be completely released. Please operate with caution.</mark>
* <mark style="color:blue;">Only operations on cloud routers in state of RECYCLED are supported, that is you have called</mark> [`DeleteCloudRouter`](https://docs.console.zenlayer.com/api-reference/networking/sdn/router/delete-cloud-router) <mark style="color:blue;">to delete the cloud router already.</mark>
* <mark style="color:blue;">This API is an async API. A request ID is returned after the release request is sent. However, it does not mean the releasing has been completed. The status of the cloud router will be</mark> <mark style="color:blue;">`DESTROYING`</mark> <mark style="color:blue;">during the releasing. If no result can be queried, it means that the</mark> <mark style="color:blue;">cloud router</mark> <mark style="color:blue;">has been released successfully.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="193">Parameter Name</th><th width="117">Required</th><th width="98">Type</th><th>Description</th></tr></thead><tbody><tr><td>cloudRouterId</td><td>Yes</td><td>String</td><td>Cloud router ID.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="193.33333333333331">Parameter Name</th><th width="94">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Release a Layer 3 cloud router.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DestroyCloudRouter
<Common Request Params>

Request：
{
    "cloudRouterId": "your-cloud-router-id"
}

Response：
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​
